# lib%%{name}core.so* is a private lib with no headers, so we should
# not provide that.
%global __provides_exclude ^lib%{name}.*\\.so$
%global __requires_exclude ^lib%{name}.*\\.so$

Name:       soundkonverter
Version:    3.0.1
Release:    3%{?dist}
Summary:    Audio file converter, CD ripper and Replay Gain tool

License:    GPLv2+
URL:        http://kde-apps.org/content/show.php?content=29024
Source0:    https://github.com/dfaust/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

# https://github.com/dfaust/soundkonverter/commit/16fb09fcbd5712b7b75004229dbb74f85f213b53
Patch0:     https://github.com/dfaust/soundkonverter/commit/16fb09fcbd5712b7b75004229dbb74f85f213b53.patch#/0001-Fix-adding-directories-to-the-Replay-Gain-tool.patch

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-rpm-macros
BuildRequires:  cmake(KF5Cddb)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5KDELibs4Support)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Solid)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(phonon4qt5)
BuildRequires:  pkgconfig(taglib) >= 1.4
BuildRequires:  cdparanoia-devel
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib

Requires:       hicolor-icon-theme
Requires:       cdparanoia
Requires:       flac
Requires:       fluidsynth
Requires:       speex
# Requires:       timidity++
Requires:       vorbis-tools
Requires:       wavpack
# Recommends:     faac
# Recommends:     faad2
# Recommends:     ffmpeg
Requires:       lame
# Recommends:     mac
# Recommends:     mp3gain
# Recommends:     mppenc
Requires:       sox
# Recommends:     twolame
# Recommends:     vorbisgain
Requires:       opus-tools

%description
SoundKonverter is a front-end to various audio converters.

The key features are:
  * Audio conversion
  * Replay Gain calculation
  * CD ripping


%prep
%autosetup -p1

sed -i 's|set(TAGLIB_MIN_VERSION "1.10")|set(TAGLIB_MIN_VERSION "1.8.0")|' src/CMakeLists.txt


%build
mkdir -p build
cd build
%cmake_kf5 ../src "-DKF5_BUILD=ON"
%make_build


%install
cd build
%make_install
%find_lang %{name}

desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop
appstream-util validate-relax --nonet %{buildroot}%{_kf5_metainfodir}/%{name}.appdata.xml


%files -f build/%{name}.lang
%{_kf5_bindir}/%{name}
%{_kf5_libdir}/lib%{name}core.so
%{_kf5_libdir}/qt5/plugins/%{name}_*
%{_kf5_datadir}/%{name}
%dir %{_kf5_datadir}/solid
%dir %{_kf5_datadir}/solid/actions
%dir %{_kf5_datadir}/kxmlgui5/%{name}
%{_kf5_datadir}/kservices5/%{name}_*
%{_kf5_datadir}/kservicetypes5/%{name}_*
%{_kf5_datadir}/kxmlgui5/%{name}/%{name}ui.rc
%{_kf5_datadir}/solid/actions/%{name}-*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/*/apps/%{name}-replaygain.png
%{_kf5_metainfodir}/%{name}.appdata.xml


%changelog
* Wed Sep 19 2018 Robert-André Mauchin <zebob.m@gmail.com> - 3.0.1-3
- Remove timidity dep

* Tue Sep 18 2018 Robert-André Mauchin <zebob.m@gmail.com> - 3.0.1-2
- Remove patch moving the appdata file as RHEL use the old location

* Fri Sep 07 2018 Robert-André Mauchin <zebob.m@gmail.com> - 3.0.1-1
- Release 3.0.1
- Refresh SPEC

* Thu Jul 10 2014 Björn Esser <bjoern.esser@gmail.com> - 2.1.1-2
- use %%{_kde4_appsdir}-macro as suggested by Rex Dieter (#1114547)
  see: https://bugzilla.redhat.com/show_bug.cgi?id=1114547#c7

* Sun Jun 29 2014 Björn Esser <bjoern.esser@gmail.com> - 2.1.1-1
- initial rpm release (#1114547)
